Bug 1273519 - UI: Reports Menu Editor - Does not display flash message to indicate that folder name already in use
UI: Reports Menu Editor - Does not display flash message to indicate that fol...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.4.0
Unspecified Unspecified
unspecified Severity unspecified
: GA
: 5.4.4
Assigned To: Martin Hradil
Nandini Chandra
: ZStream
Depends On: 1273517
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-20 11:36 EDT by Chris Pelland
Modified: 2015-12-16 08:18 EST (History)
8 users (show)

See Also:
Fixed In Version: 5.4.4.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1273517
Environment:
Last Closed: 2015-12-16 08:18:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Pelland 2015-10-20 11:36:28 EDT
+++ This bug was initially created as a clone of Bug #1273517 +++

Description of problem: Reports Menu Editor - Does not display flash message to indicate that folder name already in use


Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Go to Reports explorer, go to "Edit Report Menus" accordion, select a group to edit it's menus
2. Select a folder node, then Add 2 folders with same name and try to commit folder changes, it doesn't show flash message about folder name already being in use.
3. 

Actual results: There is no flash message to let user know why the folder add was not committed


Expected results: Screen should have flash message "Folder name 'New Folder' is already in use"


Additional info:
Comment 2 CFME Bot 2015-11-06 15:18:03 EST
New commit detected on cfme/5.4.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=d9405167f2a7be06c82523d577bbe0fbcc080e7b

commit d9405167f2a7be06c82523d577bbe0fbcc080e7b
Merge: eb7e8ad ab47b2a
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Fri Nov 6 15:16:25 2015 -0500
Commit:     Dan Clarizio <dclarizi@redhat.com>
CommitDate: Fri Nov 6 15:16:25 2015 -0500

    Merge branch 'bz1273517' into '5.4.z'
    
    fix missing flash on bad menu_list reoder
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1273519
    
    (cherry picked from commit cd680ea8895821aca92bd5f79d6a04a449a740ab)
    
    Cherry pick clean except for vmdb/.
    
    See merge request !339

 vmdb/app/controllers/report_controller.rb | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)
Comment 4 Nandini Chandra 2015-12-09 12:13:41 EST
Verified in 5.4.4.2
Comment 6 errata-xmlrpc 2015-12-16 08:18:54 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2620.html

Note You need to log in before you can comment on or make changes to this bug.